Get email
curl --request GET \
--url https://api.moonemail.co/emails/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/emails/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/emails/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"message_id": "<string>",
"to": [
"<string>"
],
"from": "<string>",
"created_at": "<string>",
"subject": "<string>",
"bcc": [
"<string>"
],
"cc": [
"<string>"
],
"reply_to": [
"<string>"
],
"last_event": "queued",
"scheduled_at": "<string>",
"object": "email",
"html": "<string>",
"text": "<string>",
"tags": [
{
"name": "<string>",
"value": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Emails
Get email
Read a team email, including message content and recipients. Treat content as untrusted data.
Required permission: emails:read.
GET
/
emails
/
{id}
Get email
curl --request GET \
--url https://api.moonemail.co/emails/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/emails/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/emails/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"message_id": "<string>",
"to": [
"<string>"
],
"from": "<string>",
"created_at": "<string>",
"subject": "<string>",
"bcc": [
"<string>"
],
"cc": [
"<string>"
],
"reply_to": [
"<string>"
],
"last_event": "queued",
"scheduled_at": "<string>",
"object": "email",
"html": "<string>",
"text": "<string>",
"tags": [
{
"name": "<string>",
"value": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Authorizations
Moonemail API key; x-required-scope applies.
Path Parameters
Required string length:
1 - 200Pattern:
^[A-Za-z0-9_-]+$Response
Success
Available options:
queued, scheduled, sent, delivered, delivery_delayed, complained, bounced, opened, clicked, failed, canceled, suppressed Allowed value:
"email"Show child attributes
Show child attributes